package com.ai.da.service;

import com.ai.da.mapper.primary.entity.CollectionSort;
import com.ai.da.model.dto.CollectionSortDTO;

public interface CollectionSortService {

    CollectionSort addCollectionSort(Long relationId, String relationType, Long projectId, Long collectionSortParentId);

    CollectionSort queryCollectionSortByRelation(Long relationId, String relationType, Long projectId);

    int getNextSort(Long projectId, Long parentId);

    void deleteCollectionSort(Long relationId, String relationType, Long projectId, Long parentId);

    CollectionSort getUserLikeSortByUserLikeId(Long relationId, String relationType, Long projectId, Long parentId);

    Boolean sort(CollectionSortDTO userLikeSortDTO);

    Integer rearrangeChildSort(Long childId, String relationType, Long parentId, Long userLikeSortId);

    Long getParentIdByElementIdAndElementType(Long elementId, String elementType);
}
